Loading...
Searching...
No Matches
plugins.h File Reference

Plugins manipulation. More...

`#include "log.h"`
Include dependency graph for plugins.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | LYPLG { LYPLG_TYPE , LYPLG_EXTENSION }
| Identifiers of the plugin type. More...

## Functions

LIBYANG_API_DECL LY_ERR | lyplg_add (const char *pathname)
| Manually load a plugin file.
LIBYANG_API_DECL LY_ERR | lyplg_add_extension_plugin (struct ly_ctx *ctx, uint32_t version, const struct lyplg_ext_record *recs)
| Manually load extension plugins from memory.
LIBYANG_API_DECL LY_ERR | lyplg_add_type_plugin (struct ly_ctx *ctx, uint32_t version, const struct lyplg_type_record *recs)
| Manually load type plugins from memory.

## Detailed Description

Plugins manipulation.

Author
  Radek Krejci rkrej.nosp@m.ci@c.nosp@m.esnet.nosp@m..cz

Copyright (c) 2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file plugins.h.